;; -*- Mode: Lisp; rcs-header: "$Header: /hope/lwhope1-cam/hope.0/compound/54/LISPweb/RCS/lod-defsys.lisp,v 1.10.1.1 2009/08/21 21:15:33 davef Exp $" -*-

;; Copyright (c) 1987--2010 LispWorks Ltd. All rights reserved.

(in-package "SYSTEM")

(defsystem hqn-web-lod ()
  :members ( ;; main modules
             "browser"
             ("pc-browser" :features :Win32)
             ("unix-browser" :features (or :capi-xm-lib :capi-gtk-lib ))
             ("darwin-browser" :features :capi-cocoa-lib) ; not really cocoa
	     "search"
	     "editor"
	     "utils"
	     "manuals"
             ("lcl-manuals" :features :lucid)
             "tools-lod"
             "initialize"
             ;; DF02Jan98: server code commented out - one problem being the SIGUSR1 handler
             ;; ("server" :features :unix)
             ;; ("send-lisp" :type :c-file :compile-only t)
	    
             )
  :rules (
          (:in-order-to :compile ("manuals" #+Lucid "lcl-manuals" "tools-lod" "initialize")
           (:caused-by (:compile "search"))
           (:requires (:load "search")))
          (:in-order-to :compile ("unix-browser")
           (:caused-by (:compile "browser"))
           (:requires (:load "browser")))
          ))

