;; -*- Mode: Lisp; rcs-header: "$Header: /hope/lwhope1-cam/hope.0/compound/61/LISPopengl/RCS/pkg.lisp,v 1.14.1.1 2009/08/21 21:14:35 davef Exp $" -*-

;; Copyright (c) 1987--2010 LispWorks Ltd. All rights reserved.


(in-package "USER")

(defpackage "OPENGL"
  (:add-use-defaults)
  (:export

   RENDERING-ON
   PROCESS-HAS-OPENGL-LOCK-P
   PROCESS-WITH-OPENGL-LOCK
   START-RENDERING
   SWAP-BUFFERS
   DESCRIBE-CONFIGURATION
   WITH-MATRIX-PUSHED

   GLENUM
   GLBOOLEAN
   GLBITFIELD
   GLBYTE
   GLSHORT
   GLINT
   GLSIZEI
   GLUBYTE
   GLUSHORT
   GLUINT
   GLFLOAT
   GLCLAMPF
   GLDOUBLE
   GLCLAMPD
   GLVOID
   GLINTPTR
   GLSIZEIPTR
   GLCHAR

   GL-ACCUM
   GL-ALPHA-FUNC
   GL-ARE-TEXTURES-RESIDENT
   GL-ARRAY-ELEMENT
   GL-BEGIN
   GL-BIND-TEXTURE
   GL-BITMAP
   GL-BLEND-COLOR
   GL-BLEND-EQUATION
   GL-BLEND-EQUATION-SEPARATE
   GL-BLEND-FUNC
   GL-CALL-LIST
   GL-CALL-LISTS
   GL-CLEAR 
   GL-CLEAR-ACCUM
   GL-CLEAR-COLOR
   GL-CLEAR-DEPTH
   GL-CLEAR-INDEX  
   GL-CLEAR-STENCIL
   GL-CLIP-PLANE 
   GL-COLOR3-B
   GL-COLOR3-BV
   GL-COLOR3-D
   GL-COLOR3-DV
   GL-COLOR3-F
   GL-COLOR3-FV
   GL-COLOR3-I
   GL-COLOR3-IV
   GL-COLOR3-S
   GL-COLOR3-SV
   GL-COLOR3-UB
   GL-COLOR3-UBV
   GL-COLOR3-UI
   GL-COLOR3-UIV
   GL-COLOR3-US
   GL-COLOR3-USV
   GL-COLOR4-B
   GL-COLOR4-BV
   GL-COLOR4-D
   GL-COLOR4-DV
   GL-COLOR4-F
   GL-COLOR4-FV
   GL-COLOR4-I
   GL-COLOR4-IV
   GL-COLOR4-S
   GL-COLOR4-SV
   GL-COLOR4-UB
   GL-COLOR4-UBV
   GL-COLOR4-UI
   GL-COLOR4-UIV
   GL-COLOR4-US
   GL-COLOR4-USV
   GL-COLOR-MASK
   GL-COLOR-MATERIAL
   GL-COLOR-POINTER
   GL-COLOR-SUB-TABLE
   GL-COLOR-TABLE
   GL-COLOR-TABLE-PARAMETERFV 
   GL-COLOR-TABLE-PARAMETERIV
   GL-CONVOLUTION-FILTER1-D
   GL-CONVOLUTION-FILTER2-D
   GL-CONVOLUTION-PARAMETERF
   GL-CONVOLUTION-PARAMETERFV
   GL-CONVOLUTION-PARAMETERI
   GL-CONVOLUTION-PARAMETERIV
   GL-COPY-COLOR-SUB-TABLE
   GL-COPY-COLOR-TABLE
   GL-COPY-CONVOLUTION-FILTER1-D
   GL-COPY-CONVOLUTION-FILTER2-D
   GL-COPY-PIXELS
   GL-COPY-TEX-IMAGE1-D
   GL-COPY-TEX-IMAGE2-D
   GL-COPY-TEX-SUB-IMAGE1-D
   GL-COPY-TEX-SUB-IMAGE2-D
   GL-COPY-TEX-SUB-IMAGE3-D
   GL-CULL-FACE
   GL-DELETE-LISTS
   GL-DELETE-TEXTURES
   GL-DEPTH-FUNC
   GL-DEPTH-MASK
   GL-DEPTH-RANGE
   GL-DISABLE
   GL-DISABLE
   GL-DISABLE-CLIENT-STATE
   GL-DRAW-ARRAYS
   GL-DRAW-BUFFER
   GL-DRAW-ELEMENTS
   GL-DRAW-PIXELS
   GL-DRAW-RANGE-ELEMENTS
   GL-EDGE-FLAG
   GL-EDGE-FLAG-POINTER
   GL-EDGE-FLAGV
   GL-ENABLE
   GL-ENABLE-CLIENT-STATE
   GL-END
   GL-END-LIST
   GL-EVAL-COORD1-D
   GL-EVAL-COORD1-DV
   GL-EVAL-COORD1-F
   GL-EVAL-COORD1-FV
   GL-EVAL-COORD2-D
   GL-EVAL-COORD2-DV
   GL-EVAL-COORD2-F
   GL-EVAL-COORD2-FV
   GL-EVAL-MESH1
   GL-EVAL-MESH2
   GL-EVAL-POINT1
   GL-EVAL-POINT2
   GL-FEEDBACK-BUFFER
   GL-FINISH
   GL-FLUSH
   GL-FOGF
   GL-FOGFV
   GL-FOGI
   GL-FOGIV
   GL-FRONT-FACE
   GL-FRUSTUM
   GL-GEN-LISTS
   GL-GEN-TEXTURES
   GL-GET-BOOLEANV
   GL-GET-CLIP-PLANE
   GL-GET-COLOR-TABLE
   GL-GET-COLOR-TABLE-PARAMETERFV
   GL-GET-COLOR-TABLE-PARAMETERIV
   GL-GET-CONVOLUTION-FILTER
   GL-GET-CONVOLUTION-PARAMETERFV
   GL-GET-CONVOLUTION-PARAMETERIV
   GL-GET-DOUBLEV
   GL-GET-ERROR
   GL-GET-FLOATV
   GL-GET-HISTOGRAM
   GL-GET-HISTOGRAM-PARAMETERFV
   GL-GET-HISTOGRAM-PARAMETERIV
   GL-GET-INTEGERV
   GL-GET-LIGHTFV
   GL-GET-LIGHTIV
   GL-GET-MAPDV
   GL-GET-MAPFV
   GL-GET-MAPIV
   GL-GET-MATERIALFV
   GL-GET-MATERIALIV
   GL-GET-MINMAX
   GL-GET-MINMAX-PARAMETERFV
   GL-GET-MINMAX-PARAMETERIV
   GL-GET-PIXEL-MAPFV
   GL-GET-PIXEL-MAPUIV
   GL-GET-PIXEL-MAPUSV
   GL-GET-POINTERV
   GL-GET-POLYGON-STIPPLE
   GL-GET-SEPARABLE-FILTER
   GL-GET-STRING
   GL-GET-TEX-ENVFV
   GL-GET-TEX-ENVIV
   GL-GET-TEX-GENDV
   GL-GET-TEX-GENFV
   GL-GET-TEX-GENIV
   GL-GET-TEX-IMAGE
   GL-GET-TEX-LEVEL-PARAMETERFV
   GL-GET-TEX-LEVEL-PARAMETERIV
   GL-GET-TEX-PARAMETERFV
   GL-GET-TEX-PARAMETERIV
   GL-HINT
   GL-HISTOGRAM
   GL-INDEX-MASK
   GL-INDEX-POINTER
   GL-INDEXD
   GL-INDEXDV
   GL-INDEXF
   GL-INDEXFV
   GL-INDEXI
   GL-INDEXIV
   GL-INDEXS
   GL-INDEXSV
   GL-INDEXUB
   GL-INDEXUBV
   GL-INIT-NAMES
   GL-INTERLEAVED-ARRAYS
   GL-IS-ENABLED
   GL-IS-LIST 
   GL-IS-TEXTURE
   GL-LIGHT-MODELF
   GL-LIGHT-MODELFV
   GL-LIGHT-MODELI
   GL-LIGHT-MODELIV
   GL-LIGHTF
   GL-LIGHTFV
   GL-LIGHTI
   GL-LIGHTIV
   GL-LINE-STIPPLE
   GL-LINE-WIDTH
   GL-LIST-BASE
   GL-LOAD-IDENTITY
   GL-LOAD-MATRIXD
   GL-LOAD-MATRIXF
   GL-LOAD-NAME
   GL-LOGIC-OP
   GL-MAP1-D
   GL-MAP1-F
   GL-MAP2-D
   GL-MAP2-F
   GL-MAP-GRID1-D
   GL-MAP-GRID1-F
   GL-MAP-GRID2-D
   GL-MAP-GRID2-F
   GL-MATERIALF
   GL-MATERIALFV
   GL-MATERIALI
   GL-MATERIALIV
   GL-MATRIX-MODE
   GL-MINMAX
   GL-MULT-MATRIXD
   GL-MULT-MATRIXF
   GL-NEW-LIST
   GL-NORMAL3-B
   GL-NORMAL3-BV
   GL-NORMAL3-D
   GL-NORMAL3-DV
   GL-NORMAL3-F
   GL-NORMAL3-FV
   GL-NORMAL3-I
   GL-NORMAL3-IV
   GL-NORMAL3-S
   GL-NORMAL3-SV
   GL-NORMAL-POINTER
   GL-ORTHO
   GL-PASS-THROUGH
   GL-PIXEL-MAPFV
   GL-PIXEL-MAPUIV
   GL-PIXEL-MAPUSV
   GL-PIXEL-STOREF
   GL-PIXEL-STOREI
   GL-PIXEL-TRANSFERF
   GL-PIXEL-TRANSFERI
   GL-PIXEL-ZOOM
   GL-POINT-SIZE
   GL-POLYGON-MODE
   GL-POLYGON-OFFSET
   GL-POLYGON-STIPPLE
   GL-POP-ATTRIB
   GL-POP-CLIENT-ATTRIB
   GL-POP-MATRIX
   GL-POP-NAME
   GL-PRIORITIZE-TEXTURES
   GL-PUSH-ATTRIB
   GL-PUSH-CLIENT-ATTRIB
   GL-PUSH-MATRIX
   GL-PUSH-NAME
   GL-RASTER-POS2-D
   GL-RASTER-POS2-DV
   GL-RASTER-POS2-F
   GL-RASTER-POS2-FV
   GL-RASTER-POS2-I
   GL-RASTER-POS2-IV
   GL-RASTER-POS2-S
   GL-RASTER-POS2-SV
   GL-RASTER-POS3-D
   GL-RASTER-POS3-DV
   GL-RASTER-POS3-F
   GL-RASTER-POS3-FV
   GL-RASTER-POS3-I
   GL-RASTER-POS3-IV
   GL-RASTER-POS3-S
   GL-RASTER-POS3-SV
   GL-RASTER-POS4-D
   GL-RASTER-POS4-DV
   GL-RASTER-POS4-F
   GL-RASTER-POS4-FV
   GL-RASTER-POS4-I
   GL-RASTER-POS4-IV
   GL-RASTER-POS4-S
   GL-RASTER-POS4-SV
   GL-READ-BUFFER
   GL-READ-PIXELS
   GL-RECTD
   GL-RECTDV
   GL-RECTF
   GL-RECTFV
   GL-RECTI
   GL-RECTIV
   GL-RECTS
   GL-RECTSV
   GL-RENDER-MODE
   GL-RESET-HISTOGRAM
   GL-RESET-MINMAX
   GL-ROTATED
   GL-ROTATEF
   GL-SCALED
   GL-SCALEF
   GL-SCISSOR
   GL-SELECT-BUFFER
   GL-SEPARABLE-FILTER2-D
   GL-SHADE-MODEL
   GL-STENCIL-FUNC
   GL-STENCIL-MASK
   GL-STENCIL-OP
   GL-TEX-COORD1-D
   GL-TEX-COORD1-DV
   GL-TEX-COORD1-F
   GL-TEX-COORD1-FV
   GL-TEX-COORD1-I
   GL-TEX-COORD1-IV
   GL-TEX-COORD1-S
   GL-TEX-COORD1-SV
   GL-TEX-COORD2-D
   GL-TEX-COORD2-DV
   GL-TEX-COORD2-F
   GL-TEX-COORD2-FV
   GL-TEX-COORD2-I
   GL-TEX-COORD2-IV
   GL-TEX-COORD2-S
   GL-TEX-COORD2-SV
   GL-TEX-COORD3-D
   GL-TEX-COORD3-DV
   GL-TEX-COORD3-F
   GL-TEX-COORD3-FV
   GL-TEX-COORD3-I
   GL-TEX-COORD3-IV
   GL-TEX-COORD3-S
   GL-TEX-COORD3-SV
   GL-TEX-COORD4-D
   GL-TEX-COORD4-DV
   GL-TEX-COORD4-F
   GL-TEX-COORD4-FV
   GL-TEX-COORD4-I
   GL-TEX-COORD4-IV
   GL-TEX-COORD4-S
   GL-TEX-COORD4-SV
   GL-TEX-COORD-POINTER
   GL-TEX-ENVF
   GL-TEX-ENVFV
   GL-TEX-ENVI
   GL-TEX-ENVIV
   GL-TEX-GEND
   GL-TEX-GENDV
   GL-TEX-GENF
   GL-TEX-GENFV
   GL-TEX-GENI
   GL-TEX-GENIV
   GL-TEX-IMAGE1-D
   GL-TEX-IMAGE2-D
   GL-TEX-IMAGE3-D
   GL-TEX-PARAMETERF
   GL-TEX-PARAMETERFV
   GL-TEX-PARAMETERI
   GL-TEX-PARAMETERIV
   GL-TEX-SUB-IMAGE1-D
   GL-TEX-SUB-IMAGE2-D
   GL-TEX-SUB-IMAGE3-D
   GL-TRANSLATED
   GL-TRANSLATEF
   GL-VERTEX2-D
   GL-VERTEX2-DV
   GL-VERTEX2-F
   GL-VERTEX2-FV
   GL-VERTEX2-I
   GL-VERTEX2-IV
   GL-VERTEX2-S
   GL-VERTEX2-SV
   GL-VERTEX3-D
   GL-VERTEX3-DV
   GL-VERTEX3-F
   GL-VERTEX3-FV
   GL-VERTEX3-I
   GL-VERTEX3-IV
   GL-VERTEX3-S
   GL-VERTEX3-SV
   GL-VERTEX4-D
   GL-VERTEX4-DV
   GL-VERTEX4-F
   GL-VERTEX4-FV
   GL-VERTEX4-I
   GL-VERTEX4-IV
   GL-VERTEX4-S
   GL-VERTEX4-SV
   GL-VERTEX-POINTER
   GL-VIEWPORT

   GL-SAMPLE-COVERAGE
   GL-SAMPLE-PASS
   GL-LOAD-TRANSPOSE-MATRIXF
   GL-LOAD-TRANSPOSE-MATRIXD
   GL-MULT-TRANSPOSE-MATRIXF
   GL-MULT-TRANSPOSE-MATRIXD
   GL-COMPRESSED-TEX-IMAGE3-D
   GL-COMPRESSED-TEX-IMAGE2-D
   GL-COMPRESSED-TEX-IMAGE1-D
   GL-COMPRESSED-TEX-SUB-IMAGE3-D
   GL-COMPRESSED-TEX-SUB-IMAGE2-D
   GL-COMPRESSED-TEX-SUB-IMAGE1-D
   GL-GET-COMPRESSED-TEX-IMAGE
   GL-ACTIVE-TEXTURE
   GL-CLIENT-ACTIVE-TEXTURE
   GL-MULTI-TEX-COORD1-D
   GL-MULTI-TEX-COORD1-DV
   GL-MULTI-TEX-COORD1-F
   GL-MULTI-TEX-COORD1-FV
   GL-MULTI-TEX-COORD1-I
   GL-MULTI-TEX-COORD1-IV
   GL-MULTI-TEX-COORD1-S
   GL-MULTI-TEX-COORD1-SV
   GL-MULTI-TEX-COORD2-D
   GL-MULTI-TEX-COORD2-DV
   GL-MULTI-TEX-COORD2-F
   GL-MULTI-TEX-COORD2-FV
   GL-MULTI-TEX-COORD2-I
   GL-MULTI-TEX-COORD2-IV
   GL-MULTI-TEX-COORD2-S
   GL-MULTI-TEX-COORD2-SV
   GL-MULTI-TEX-COORD3-D
   GL-MULTI-TEX-COORD3-DV
   GL-MULTI-TEX-COORD3-F
   GL-MULTI-TEX-COORD3-FV
   GL-MULTI-TEX-COORD3-I
   GL-MULTI-TEX-COORD3-IV
   GL-MULTI-TEX-COORD3-S
   GL-MULTI-TEX-COORD3-SV
   GL-MULTI-TEX-COORD4-D
   GL-MULTI-TEX-COORD4-DV
   GL-MULTI-TEX-COORD4-F
   GL-MULTI-TEX-COORD4-FV
   GL-MULTI-TEX-COORD4-I
   GL-MULTI-TEX-COORD4-IV
   GL-MULTI-TEX-COORD4-S
   GL-MULTI-TEX-COORD4-SV
   GL-FOG-COORDF
   GL-FOG-COORDFV
   GL-FOG-COORDD
   GL-FOG-COORDDV
   GL-FOG-COORD-POINTER
   GL-SECONDARY-COLOR3-B
   GL-SECONDARY-COLOR3-BV
   GL-SECONDARY-COLOR3-D
   GL-SECONDARY-COLOR3-DV
   GL-SECONDARY-COLOR3-F
   GL-SECONDARY-COLOR3-FV
   GL-SECONDARY-COLOR3-I
   GL-SECONDARY-COLOR3-IV
   GL-SECONDARY-COLOR3-S
   GL-SECONDARY-COLOR3-SV
   GL-SECONDARY-COLOR3-UB
   GL-SECONDARY-COLOR3-UBV
   GL-SECONDARY-COLOR3-UI
   GL-SECONDARY-COLOR3-UIV
   GL-SECONDARY-COLOR3-US
   GL-SECONDARY-COLOR3-USV
   GL-SECONDARY-COLOR-POINTER
   GL-POINT-PARAMETERF
   GL-POINT-PARAMETERFV
   GL-POINT-PARAMETERI
   GL-POINT-PARAMETERIV
   GL-BLEND-FUNC-SEPARATE
   GL-MULTI-DRAW-ARRAYS
   GL-MULTI-DRAW-ELEMENTS
   GL-WINDOW-POS2-D
   GL-WINDOW-POS2-DV
   GL-WINDOW-POS2-F
   GL-WINDOW-POS2-FV
   GL-WINDOW-POS2-I
   GL-WINDOW-POS2-IV
   GL-WINDOW-POS2-S
   GL-WINDOW-POS2-SV
   GL-WINDOW-POS3-D
   GL-WINDOW-POS3-DV
   GL-WINDOW-POS3-F
   GL-WINDOW-POS3-FV
   GL-WINDOW-POS3-I
   GL-WINDOW-POS3-IV
   GL-WINDOW-POS3-S
   GL-WINDOW-POS3-SV
   GL-GEN-QUERIES
   GL-DELETE-QUERIES
   GL-IS-QUERY
   GL-BEGIN-QUERY
   GL-END-QUERY
   GL-GET-QUERYIV
   GL-GET-QUERY-OBJECTIV
   GL-GET-QUERY-OBJECTUIV
   GL-BIND-BUFFER
   GL-DELETE-BUFFERS
   GL-GEN-BUFFERS
   GL-GEN-BUFFERS
   GL-IS-BUFFER
   GL-BUFFER-DATA
   GL-BUFFER-SUB-DATA
   GL-GET-BUFFER-SUB-DATA
   GL-MAP-BUFFER
   GL-UNMAP-BUFFER
   GL-GET-BUFFER-PARAMETERIV
   GL-GET-BUFFER-POINTERV
   GL-DRAW-BUFFERS
   GL-VERTEX-ATTRIB1-D
   GL-VERTEX-ATTRIB1-DV
   GL-VERTEX-ATTRIB1-F
   GL-VERTEX-ATTRIB1-FV
   GL-VERTEX-ATTRIB1-S
   GL-VERTEX-ATTRIB1-SV
   GL-VERTEX-ATTRIB2-D
   GL-VERTEX-ATTRIB2-DV
   GL-VERTEX-ATTRIB2-F
   GL-VERTEX-ATTRIB2-FV
   GL-VERTEX-ATTRIB2-S
   GL-VERTEX-ATTRIB2-SV
   GL-VERTEX-ATTRIB3-D
   GL-VERTEX-ATTRIB3-DV
   GL-VERTEX-ATTRIB3-F
   GL-VERTEX-ATTRIB3-FV
   GL-VERTEX-ATTRIB3-S
   GL-VERTEX-ATTRIB3-SV
   GL-VERTEX-ATTRIB4-NBV
   GL-VERTEX-ATTRIB4-NIV
   GL-VERTEX-ATTRIB4-NSV
   GL-VERTEX-ATTRIB4-NUB
   GL-VERTEX-ATTRIB4-NUBV
   GL-VERTEX-ATTRIB4-NUIV
   GL-VERTEX-ATTRIB4-NUSV
   GL-VERTEX-ATTRIB4-BV
   GL-VERTEX-ATTRIB4-D
   GL-VERTEX-ATTRIB4-DV
   GL-VERTEX-ATTRIB4-F
   GL-VERTEX-ATTRIB4-FV
   GL-VERTEX-ATTRIB4-IV
   GL-VERTEX-ATTRIB4-S
   GL-VERTEX-ATTRIB4-SV
   GL-VERTEX-ATTRIB4-UBV
   GL-VERTEX-ATTRIB4-UIV
   GL-VERTEX-ATTRIB4-USV
   GL-VERTEX-ATTRIB-POINTER
   GL-ENABLE-VERTEX-ATTRIB-ARRAY
   GL-DISABLE-VERTEX-ATTRIB-ARRAY
   GL-GET-VERTEX-ATTRIBDV
   GL-GET-VERTEX-ATTRIBFV
   GL-GET-VERTEX-ATTRIBIV
   GL-GET-VERTEX-ATTRIB-POINTERV
   GL-DELETE-SHADER
   GL-DETACH-SHADER
   GL-CREATE-SHADER
   GL-SHADER-SOURCE
   GL-COMPILE-SHADER
   GL-CREATE-PROGRAM
   GL-ATTACH-SHADER
   GL-LINK-PROGRAM
   GL-USE-PROGRAM
   GL-DELETE-PROGRAM
   GL-VALIDATE-PROGRAM
   GL-UNIFORM1-F
   GL-UNIFORM2-F
   GL-UNIFORM3-F
   GL-UNIFORM4-F
   GL-UNIFORM1-I
   GL-UNIFORM2-I
   GL-UNIFORM3-I
   GL-UNIFORM4-I
   GL-UNIFORM1-FV
   GL-UNIFORM2-FV
   GL-UNIFORM3-FV
   GL-UNIFORM4-FV
   GL-UNIFORM1-IV
   GL-UNIFORM2-IV
   GL-UNIFORM3-IV
   GL-UNIFORM4-IV
   GL-UNIFORM-MATRIX2-FV
   GL-UNIFORM-MATRIX3-FV
   GL-UNIFORM-MATRIX4-FV
   GL-IS-SHADER
   GL-IS-PROGRAM
   GL-GET-SHADERIV
   GL-GET-PROGRAMIV
   GL-GET-ATTACHED-SHADERS
   GL-GET-SHADER-INFO-LOG
   GL-GET-PROGRAM-INFO-LOG
   GL-GET-UNIFORM-LOCATION
   GL-GET-ACTIVE-UNIFORM
   GL-GET-UNIFORMFV
   GL-GET-UNIFORMIV
   GL-GET-SHADER-SOURCE
   GL-BIND-ATTRIB-LOCATION
   GL-GET-ACTIVE-ATTRIB
   GL-GET-ATTRIB-LOCATION
   GL-STENCIL-FUNC-SEPARATE
   GL-STENCIL-OP-SEPARATE
   GL-STENCIL-MASK-SEPARATE
   GL-UNIFORM-MATRIX2X3-FV
   GL-UNIFORM-MATRIX3X2-FV
   GL-UNIFORM-MATRIX2X4-FV
   GL-UNIFORM-MATRIX4X2-FV
   GL-UNIFORM-MATRIX3X4-FV
   GL-UNIFORM-MATRIX4X3-FV


   *GL-ACCUM*
   *GL-LOAD*
   *GL-RETURN*
   *GL-MULT*
   *GL-ADD*

   *GL-NEVER*
   *GL-LESS*
   *GL-EQUAL*
   *GL-LEQUAL*
   *GL-GREATER*
   *GL-NOTEQUAL*
   *GL-GEQUAL*
   *GL-ALWAYS*

   *GL-CURRENT-BIT*
   *GL-POINT-BIT*
   *GL-LINE-BIT*
   *GL-POLYGON-BIT*
   *GL-POLYGON-STIPPLE-BIT*
   *GL-PIXEL-MODE-BIT*
   *GL-LIGHTING-BIT*
   *GL-FOG-BIT*
   *GL-DEPTH-BUFFER-BIT*
   *GL-ACCUM-BUFFER-BIT*
   *GL-STENCIL-BUFFER-BIT*
   *GL-VIEWPORT-BIT*
   *GL-TRANSFORM-BIT*
   *GL-ENABLE-BIT*
   *GL-COLOR-BUFFER-BIT*
   *GL-HINT-BIT*
   *GL-EVAL-BIT*
   *GL-LIST-BIT*
   *GL-TEXTURE-BIT*
   *GL-SCISSOR-BIT*
   *GL-ALL-ATTRIB-BITS*

   *GL-POINTS*
   *GL-LINES*
   *GL-LINE-LOOP*
   *GL-LINE-STRIP*
   *GL-TRIANGLES*
   *GL-TRIANGLE-STRIP*
   *GL-TRIANGLE-FAN*
   *GL-QUADS*
   *GL-QUAD-STRIP*
   *GL-POLYGON*

   *GL-ZERO*
   *GL-ONE*
   *GL-SRC-COLOR*
   *GL-ONE-MINUS-SRC-COLOR*
   *GL-SRC-ALPHA*
   *GL-ONE-MINUS-SRC-ALPHA*
   *GL-DST-ALPHA*
   *GL-ONE-MINUS-DST-ALPHA*

   *GL-DST-COLOR*
   *GL-ONE-MINUS-DST-COLOR*
   *GL-SRC-ALPHA-SATURATE*

   *GL-TRUE*
   *GL-FALSE*

   *GL-CLIP-PLANE0*
   *GL-CLIP-PLANE1*
   *GL-CLIP-PLANE2*
   *GL-CLIP-PLANE3*
   *GL-CLIP-PLANE4*
   *GL-CLIP-PLANE5*

   *GL-BYTE*
   *GL-UNSIGNED-BYTE*
   *GL-SHORT*
   *GL-UNSIGNED-SHORT*
   *GL-INT*
   *GL-UNSIGNED-INT*
   *GL-FLOAT*
   *GL-2-BYTES*
   *GL-3-BYTES*
   *GL-4-BYTES*
   *GL-DOUBLE*

   *GL-NONE*
   *GL-FRONT-LEFT*
   *GL-FRONT-RIGHT*
   *GL-BACK-LEFT*
   *GL-BACK-RIGHT*
   *GL-FRONT*
   *GL-BACK*
   *GL-LEFT*
   *GL-RIGHT*
   *GL-FRONT-AND-BACK*
   *GL-AUX0*
   *GL-AUX1*
   *GL-AUX2*
   *GL-AUX3*

   *GL-NO-ERROR*
   *GL-INVALID-ENUM*
   *GL-INVALID-VALUE*
   *GL-INVALID-OPERATION*
   *GL-STACK-OVERFLOW*
   *GL-STACK-UNDERFLOW*
   *GL-OUT-OF-MEMORY*

   *GL-2D*
   *GL-3D*
   *GL-3D-COLOR*
   *GL-3D-COLOR-TEXTURE*
   *GL-4D-COLOR-TEXTURE*

   *GL-PASS-THROUGH-TOKEN*
   *GL-POINT-TOKEN*
   *GL-LINE-TOKEN*
   *GL-POLYGON-TOKEN*
   *GL-BITMAP-TOKEN*
   *GL-DRAW-PIXEL-TOKEN*
   *GL-COPY-PIXEL-TOKEN*
   *GL-LINE-RESET-TOKEN*

   *GL-EXP*
   *GL-EXP2*

   *GL-CW*
   *GL-CCW*

   *GL-COEFF*
   *GL-ORDER*
   *GL-DOMAIN*

   *GL-CURRENT-COLOR*
   *GL-CURRENT-INDEX*
   *GL-CURRENT-NORMAL*
   *GL-CURRENT-TEXTURE-COORDS*
   *GL-CURRENT-RASTER-COLOR*
   *GL-CURRENT-RASTER-INDEX*
   *GL-CURRENT-RASTER-TEXTURE-COORDS*
   *GL-CURRENT-RASTER-POSITION*
   *GL-CURRENT-RASTER-POSITION-VALID*
   *GL-CURRENT-RASTER-DISTANCE*
   *GL-POINT-SMOOTH*
   *GL-POINT-SIZE*
   *GL-POINT-SIZE-RANGE*
   *GL-POINT-SIZE-GRANULARITY*
   *GL-LINE-SMOOTH*
   *GL-LINE-WIDTH*
   *GL-LINE-WIDTH-RANGE*
   *GL-LINE-WIDTH-GRANULARITY*
   *GL-LINE-STIPPLE*
   *GL-LINE-STIPPLE-PATTERN*
   *GL-LINE-STIPPLE-REPEAT*
   *GL-LIST-MODE*
   *GL-MAX-LIST-NESTING*
   *GL-LIST-BASE*
   *GL-LIST-INDEX*
   *GL-POLYGON-MODE*
   *GL-POLYGON-SMOOTH*
   *GL-POLYGON-STIPPLE*
   *GL-EDGE-FLAG*
   *GL-CULL-FACE*
   *GL-CULL-FACE-MODE*
   *GL-FRONT-FACE*
   *GL-LIGHTING*
   *GL-LIGHT-MODEL-LOCAL-VIEWER*
   *GL-LIGHT-MODEL-TWO-SIDE*
   *GL-LIGHT-MODEL-AMBIENT*
   *GL-SHADE-MODEL*
   *GL-COLOR-MATERIAL-FACE*
   *GL-COLOR-MATERIAL-PARAMETER*
   *GL-COLOR-MATERIAL*
   *GL-FOG*
   *GL-FOG-INDEX*
   *GL-FOG-DENSITY*
   *GL-FOG-START*
   *GL-FOG-END*
   *GL-FOG-MODE*
   *GL-FOG-COLOR*
   *GL-DEPTH-RANGE*
   *GL-DEPTH-TEST*
   *GL-DEPTH-WRITEMASK*
   *GL-DEPTH-CLEAR-VALUE*
   *GL-DEPTH-FUNC*
   *GL-ACCUM-CLEAR-VALUE*
   *GL-STENCIL-TEST*
   *GL-STENCIL-CLEAR-VALUE*
   *GL-STENCIL-FUNC*
   *GL-STENCIL-VALUE-MASK*
   *GL-STENCIL-FAIL*
   *GL-STENCIL-PASS-DEPTH-FAIL*
   *GL-STENCIL-PASS-DEPTH-PASS*
   *GL-STENCIL-REF*
   *GL-STENCIL-WRITEMASK*
   *GL-MATRIX-MODE*
   *GL-NORMALIZE*
   *GL-VIEWPORT*
   *GL-MODELVIEW-STACK-DEPTH*
   *GL-PROJECTION-STACK-DEPTH*
   *GL-TEXTURE-STACK-DEPTH*
   *GL-MODELVIEW-MATRIX*
   *GL-PROJECTION-MATRIX*
   *GL-TEXTURE-MATRIX*
   *GL-ATTRIB-STACK-DEPTH*
   *GL-CLIENT-ATTRIB-STACK-DEPTH*
   *GL-ALPHA-TEST*
   *GL-ALPHA-TEST-FUNC*
   *GL-ALPHA-TEST-REF*
   *GL-DITHER*
   *GL-BLEND-DST*
   *GL-BLEND-SRC*
   *GL-BLEND*
   *GL-LOGIC-OP-MODE*
   *GL-INDEX-LOGIC-OP*
   *GL-COLOR-LOGIC-OP*
   *GL-AUX-BUFFERS*
   *GL-DRAW-BUFFER*
   *GL-READ-BUFFER*
   *GL-SCISSOR-BOX*
   *GL-SCISSOR-TEST*
   *GL-INDEX-CLEAR-VALUE*
   *GL-INDEX-WRITEMASK*
   *GL-COLOR-CLEAR-VALUE*
   *GL-COLOR-WRITEMASK*
   *GL-INDEX-MODE*
   *GL-RGBA-MODE*
   *GL-DOUBLEBUFFER*
   *GL-STEREO*
   *GL-RENDER-MODE*
   *GL-PERSPECTIVE-CORRECTION-HINT*
   *GL-POINT-SMOOTH-HINT*
   *GL-LINE-SMOOTH-HINT*
   *GL-POLYGON-SMOOTH-HINT*
   *GL-FOG-HINT*
   *GL-TEXTURE-GEN-S*
   *GL-TEXTURE-GEN-T*
   *GL-TEXTURE-GEN-R*
   *GL-TEXTURE-GEN-Q*
   *GL-PIXEL-MAP-I-TO-I*
   *GL-PIXEL-MAP-S-TO-S*
   *GL-PIXEL-MAP-I-TO-R*
   *GL-PIXEL-MAP-I-TO-G*
   *GL-PIXEL-MAP-I-TO-B*
   *GL-PIXEL-MAP-I-TO-A*
   *GL-PIXEL-MAP-R-TO-R*
   *GL-PIXEL-MAP-G-TO-G*
   *GL-PIXEL-MAP-B-TO-B*
   *GL-PIXEL-MAP-A-TO-A*
   *GL-PIXEL-MAP-I-TO-I-SIZE*
   *GL-PIXEL-MAP-S-TO-S-SIZE*
   *GL-PIXEL-MAP-I-TO-R-SIZE*
   *GL-PIXEL-MAP-I-TO-G-SIZE*
   *GL-PIXEL-MAP-I-TO-B-SIZE*
   *GL-PIXEL-MAP-I-TO-A-SIZE*
   *GL-PIXEL-MAP-R-TO-R-SIZE*
   *GL-PIXEL-MAP-G-TO-G-SIZE*
   *GL-PIXEL-MAP-B-TO-B-SIZE*
   *GL-PIXEL-MAP-A-TO-A-SIZE*
   *GL-UNPACK-SWAP-BYTES*
   *GL-UNPACK-LSB-FIRST*
   *GL-UNPACK-ROW-LENGTH*
   *GL-UNPACK-SKIP-ROWS*
   *GL-UNPACK-SKIP-PIXELS*
   *GL-UNPACK-ALIGNMENT*
   *GL-PACK-SWAP-BYTES*
   *GL-PACK-LSB-FIRST*
   *GL-PACK-ROW-LENGTH*
   *GL-PACK-SKIP-ROWS*
   *GL-PACK-SKIP-PIXELS*
   *GL-PACK-ALIGNMENT*
   *GL-MAP-COLOR*
   *GL-MAP-STENCIL*
   *GL-INDEX-SHIFT*
   *GL-INDEX-OFFSET*
   *GL-RED-SCALE*
   *GL-RED-BIAS*
   *GL-ZOOM-X*
   *GL-ZOOM-Y*
   *GL-GREEN-SCALE*
   *GL-GREEN-BIAS*
   *GL-BLUE-SCALE*
   *GL-BLUE-BIAS*
   *GL-ALPHA-SCALE*
   *GL-ALPHA-BIAS*
   *GL-DEPTH-SCALE*
   *GL-DEPTH-BIAS*
   *GL-MAX-EVAL-ORDER*
   *GL-MAX-LIGHTS*
   *GL-MAX-CLIP-PLANES*
   *GL-MAX-TEXTURE-SIZE*
   *GL-MAX-PIXEL-MAP-TABLE*
   *GL-MAX-ATTRIB-STACK-DEPTH*
   *GL-MAX-MODELVIEW-STACK-DEPTH*
   *GL-MAX-NAME-STACK-DEPTH*
   *GL-MAX-PROJECTION-STACK-DEPTH*
   *GL-MAX-TEXTURE-STACK-DEPTH*
   *GL-MAX-VIEWPORT-DIMS*
   *GL-MAX-CLIENT-ATTRIB-STACK-DEPTH*
   *GL-SUBPIXEL-BITS*
   *GL-INDEX-BITS*
   *GL-RED-BITS*
   *GL-GREEN-BITS*
   *GL-BLUE-BITS*
   *GL-ALPHA-BITS*
   *GL-DEPTH-BITS*
   *GL-STENCIL-BITS*
   *GL-ACCUM-RED-BITS*
   *GL-ACCUM-GREEN-BITS*
   *GL-ACCUM-BLUE-BITS*
   *GL-ACCUM-ALPHA-BITS*
   *GL-NAME-STACK-DEPTH*
   *GL-AUTO-NORMAL*
   *GL-MAP1-COLOR-4*
   *GL-MAP1-INDEX*
   *GL-MAP1-NORMAL*
   *GL-MAP1-TEXTURE-COORD-1*
   *GL-MAP1-TEXTURE-COORD-2*
   *GL-MAP1-TEXTURE-COORD-3*
   *GL-MAP1-TEXTURE-COORD-4*
   *GL-MAP1-VERTEX-3*
   *GL-MAP1-VERTEX-4*
   *GL-MAP2-COLOR-4*
   *GL-MAP2-INDEX*
   *GL-MAP2-NORMAL*
   *GL-MAP2-TEXTURE-COORD-1*
   *GL-MAP2-TEXTURE-COORD-2*
   *GL-MAP2-TEXTURE-COORD-3*
   *GL-MAP2-TEXTURE-COORD-4*
   *GL-MAP2-VERTEX-3*
   *GL-MAP2-VERTEX-4*
   *GL-MAP1-GRID-DOMAIN*
   *GL-MAP1-GRID-SEGMENTS*
   *GL-MAP2-GRID-DOMAIN*
   *GL-MAP2-GRID-SEGMENTS*
   *GL-TEXTURE-1D*
   *GL-TEXTURE-2D*
   *GL-FEEDBACK-BUFFER-POINTER*
   *GL-FEEDBACK-BUFFER-SIZE*
   *GL-FEEDBACK-BUFFER-TYPE*
   *GL-SELECTION-BUFFER-POINTER*
   *GL-SELECTION-BUFFER-SIZE*

   *GL-TEXTURE-WIDTH*
   *GL-TEXTURE-HEIGHT*
   *GL-TEXTURE-INTERNAL-FORMAT*
   *GL-TEXTURE-BORDER-COLOR*
   *GL-TEXTURE-BORDER*

   *GL-DONT-CARE*
   *GL-FASTEST*
   *GL-NICEST*

   *GL-LIGHT0*
   *GL-LIGHT1*
   *GL-LIGHT2*
   *GL-LIGHT3*
   *GL-LIGHT4*
   *GL-LIGHT5*
   *GL-LIGHT6*
   *GL-LIGHT7*

   *GL-AMBIENT*
   *GL-DIFFUSE*
   *GL-SPECULAR*
   *GL-POSITION*
   *GL-SPOT-DIRECTION*
   *GL-SPOT-EXPONENT*
   *GL-SPOT-CUTOFF*
   *GL-CONSTANT-ATTENUATION*
   *GL-LINEAR-ATTENUATION*
   *GL-QUADRATIC-ATTENUATION*

   *GL-COMPILE*
   *GL-COMPILE-AND-EXECUTE*

   *GL-CLEAR*
   *GL-AND*
   *GL-AND-REVERSE*
   *GL-COPY*
   *GL-AND-INVERTED*
   *GL-NOOP*
   *GL-XOR*
   *GL-OR*
   *GL-NOR*
   *GL-EQUIV*
   *GL-INVERT*
   *GL-OR-REVERSE*
   *GL-COPY-INVERTED*
   *GL-OR-INVERTED*
   *GL-NAND*
   *GL-SET*

   *GL-EMISSION*
   *GL-SHININESS*
   *GL-AMBIENT-AND-DIFFUSE*
   *GL-COLOR-INDEXES*

   *GL-MODELVIEW*
   *GL-PROJECTION*
   *GL-TEXTURE*

   *GL-COLOR*
   *GL-DEPTH*
   *GL-STENCIL*

   *GL-COLOR-INDEX*
   *GL-STENCIL-INDEX*
   *GL-DEPTH-COMPONENT*
   *GL-RED*
   *GL-GREEN*
   *GL-BLUE*
   *GL-ALPHA*
   *GL-RGB*
   *GL-RGBA*
   *GL-LUMINANCE*
   *GL-LUMINANCE-ALPHA*

   *GL-BITMAP*

   *GL-POINT*
   *GL-LINE*
   *GL-FILL*

   *GL-RENDER*
   *GL-FEEDBACK*
   *GL-SELECT*

   *GL-FLAT*
   *GL-SMOOTH*

   *GL-KEEP*
   *GL-REPLACE*
   *GL-INCR*
   *GL-DECR*

   *GL-VENDOR*
   *GL-RENDERER*
   *GL-VERSION*
   *GL-EXTENSIONS*

   *GL-S*
   *GL-T*
   *GL-R*
   *GL-Q*

   *GL-MODULATE*
   *GL-DECAL*

   *GL-TEXTURE-ENV-MODE*
   *GL-TEXTURE-ENV-COLOR*

   *GL-TEXTURE-ENV*

   *GL-EYE-LINEAR*
   *GL-OBJECT-LINEAR*
   *GL-SPHERE-MAP*

   *GL-TEXTURE-GEN-MODE*
   *GL-OBJECT-PLANE*
   *GL-EYE-PLANE*

   *GL-NEAREST*
   *GL-LINEAR*

   *GL-NEAREST-MIPMAP-NEAREST*
   *GL-LINEAR-MIPMAP-NEAREST*
   *GL-NEAREST-MIPMAP-LINEAR*
   *GL-LINEAR-MIPMAP-LINEAR*

   *GL-TEXTURE-MAG-FILTER*
   *GL-TEXTURE-MIN-FILTER*
   *GL-TEXTURE-WRAP-S*
   *GL-TEXTURE-WRAP-T*

   *GL-CLAMP*
   *GL-REPEAT*

   *GL-CLIENT-PIXEL-STORE-BIT*
   *GL-CLIENT-VERTEX-ARRAY-BIT*
   *GL-CLIENT-ALL-ATTRIB-BITS*

   *GL-POLYGON-OFFSET-FACTOR*
   *GL-POLYGON-OFFSET-UNITS*
   *GL-POLYGON-OFFSET-POINT*
   *GL-POLYGON-OFFSET-LINE*
   *GL-POLYGON-OFFSET-FILL*

   *GL-ALPHA4*
   *GL-ALPHA8*
   *GL-ALPHA12*
   *GL-ALPHA16*
   *GL-LUMINANCE4*
   *GL-LUMINANCE8*
   *GL-LUMINANCE12*
   *GL-LUMINANCE16*
   *GL-LUMINANCE4-ALPHA4*
   *GL-LUMINANCE6-ALPHA2*
   *GL-LUMINANCE8-ALPHA8*
   *GL-LUMINANCE12-ALPHA4*
   *GL-LUMINANCE12-ALPHA12*
   *GL-LUMINANCE16-ALPHA16*
   *GL-INTENSITY*
   *GL-INTENSITY4*
   *GL-INTENSITY8*
   *GL-INTENSITY12*
   *GL-INTENSITY16*
   *GL-R3-G3-B2*
   *GL-RGB4*
   *GL-RGB5*
   *GL-RGB8*
   *GL-RGB10*
   *GL-RGB12*
   *GL-RGB16*
   *GL-RGBA2*
   *GL-RGBA4*
   *GL-RGB5-A1*
   *GL-RGBA8*
   *GL-RGB10-A2*
   *GL-RGBA12*
   *GL-RGBA16*
   *GL-TEXTURE-RED-SIZE*
   *GL-TEXTURE-GREEN-SIZE*
   *GL-TEXTURE-BLUE-SIZE*
   *GL-TEXTURE-ALPHA-SIZE*
   *GL-TEXTURE-LUMINANCE-SIZE*
   *GL-TEXTURE-INTENSITY-SIZE*
   *GL-PROXY-TEXTURE-1D*
   *GL-PROXY-TEXTURE-2D*

   *GL-TEXTURE-PRIORITY*
   *GL-TEXTURE-RESIDENT*
   *GL-TEXTURE-BINDING-1D*
   *GL-TEXTURE-BINDING-2D*
   *GL-TEXTURE-BINDING-3D*

   *GL-VERTEX-ARRAY*
   *GL-NORMAL-ARRAY*
   *GL-COLOR-ARRAY*
   *GL-INDEX-ARRAY*
   *GL-TEXTURE-COORD-ARRAY*
   *GL-EDGE-FLAG-ARRAY*
   *GL-VERTEX-ARRAY-SIZE*
   *GL-VERTEX-ARRAY-TYPE*
   *GL-VERTEX-ARRAY-STRIDE*
   *GL-NORMAL-ARRAY-TYPE*
   *GL-NORMAL-ARRAY-STRIDE*
   *GL-COLOR-ARRAY-SIZE*
   *GL-COLOR-ARRAY-TYPE*
   *GL-COLOR-ARRAY-STRIDE*
   *GL-INDEX-ARRAY-TYPE*
   *GL-INDEX-ARRAY-STRIDE*
   *GL-TEXTURE-COORD-ARRAY-SIZE*
   *GL-TEXTURE-COORD-ARRAY-TYPE*
   *GL-TEXTURE-COORD-ARRAY-STRIDE*
   *GL-EDGE-FLAG-ARRAY-STRIDE*
   *GL-VERTEX-ARRAY-POINTER*
   *GL-NORMAL-ARRAY-POINTER*
   *GL-COLOR-ARRAY-POINTER*
   *GL-INDEX-ARRAY-POINTER*
   *GL-TEXTURE-COORD-ARRAY-POINTER*
   *GL-EDGE-FLAG-ARRAY-POINTER*
   *GL-V2F*
   *GL-V3F*
   *GL-C4UB-V2F*
   *GL-C4UB-V3F*
   *GL-C3F-V3F*
   *GL-N3F-V3F*
   *GL-C4F-N3F-V3F*
   *GL-T2F-V3F*
   *GL-T4F-V4F*
   *GL-T2F-C4UB-V3F*
   *GL-T2F-C3F-V3F*
   *GL-T2F-N3F-V3F*
   *GL-T2F-C4F-N3F-V3F*
   *GL-T4F-C4F-N3F-V4F*

   *GL-BGR*
   *GL-BGRA*

   *GL-CONSTANT-COLOR*
   *GL-ONE-MINUS-CONSTANT-COLOR*
   *GL-CONSTANT-ALPHA*
   *GL-ONE-MINUS-CONSTANT-ALPHA*
   *GL-BLEND-COLOR*

   *GL-FUNC-ADD*
   *GL-MIN*
   *GL-MAX*
   *GL-BLEND-EQUATION*

   *GL-BLEND-EQUATION-RGB*
   *GL-BLEND-EQUATION-ALPHA*

   *GL-FUNC-SUBTRACT*
   *GL-FUNC-REVERSE-SUBTRACT*

   *GL-COLOR-MATRIX*
   *GL-COLOR-MATRIX-STACK-DEPTH*
   *GL-MAX-COLOR-MATRIX-STACK-DEPTH*
   *GL-POST-COLOR-MATRIX-RED-SCALE*
   *GL-POST-COLOR-MATRIX-GREEN-SCALE*
   *GL-POST-COLOR-MATRIX-BLUE-SCALE*
   *GL-POST-COLOR-MATRIX-ALPHA-SCALE*
   *GL-POST-COLOR-MATRIX-RED-BIAS*
   *GL-POST-COLOR-MATRIX-GREEN-BIAS*
   *GL-POST-COLOR-MATRIX-BLUE-BIAS*
   *GL-POST-COLOR-MATRIX-ALPHA-BIAS*

   *GL-COLOR-TABLE*
   *GL-POST-CONVOLUTION-COLOR-TABLE*
   *GL-POST-COLOR-MATRIX-COLOR-TABLE*
   *GL-PROXY-COLOR-TABLE*
   *GL-PROXY-POST-CONVOLUTION-COLOR-TABLE*
   *GL-PROXY-POST-COLOR-MATRIX-COLOR-TABLE*
   *GL-COLOR-TABLE-SCALE*
   *GL-COLOR-TABLE-BIAS*
   *GL-COLOR-TABLE-FORMAT*
   *GL-COLOR-TABLE-WIDTH*
   *GL-COLOR-TABLE-RED-SIZE*
   *GL-COLOR-TABLE-GREEN-SIZE*
   *GL-COLOR-TABLE-BLUE-SIZE*
   *GL-COLOR-TABLE-ALPHA-SIZE*
   *GL-COLOR-TABLE-LUMINANCE-SIZE*
   *GL-COLOR-TABLE-INTENSITY-SIZE*

   *GL-CONVOLUTION-1D*
   *GL-CONVOLUTION-2D*
   *GL-SEPARABLE-2D*
   *GL-CONVOLUTION-BORDER-MODE*
   *GL-CONVOLUTION-FILTER-SCALE*
   *GL-CONVOLUTION-FILTER-BIAS*
   *GL-REDUCE*
   *GL-CONVOLUTION-FORMAT*
   *GL-CONVOLUTION-WIDTH*
   *GL-CONVOLUTION-HEIGHT*
   *GL-MAX-CONVOLUTION-WIDTH*
   *GL-MAX-CONVOLUTION-HEIGHT*
   *GL-POST-CONVOLUTION-RED-SCALE*
   *GL-POST-CONVOLUTION-GREEN-SCALE*
   *GL-POST-CONVOLUTION-BLUE-SCALE*
   *GL-POST-CONVOLUTION-ALPHA-SCALE*
   *GL-POST-CONVOLUTION-RED-BIAS*
   *GL-POST-CONVOLUTION-GREEN-BIAS*
   *GL-POST-CONVOLUTION-BLUE-BIAS*
   *GL-POST-CONVOLUTION-ALPHA-BIAS*
   *GL-CONSTANT-BORDER*
   *GL-REPLICATE-BORDER*
   *GL-CONVOLUTION-BORDER-COLOR*

   *GL-MAX-ELEMENTS-VERTICES*
   *GL-MAX-ELEMENTS-INDICES*

   *GL-HISTOGRAM*
   *GL-PROXY-HISTOGRAM*
   *GL-HISTOGRAM-WIDTH*
   *GL-HISTOGRAM-FORMAT*
   *GL-HISTOGRAM-RED-SIZE*
   *GL-HISTOGRAM-GREEN-SIZE*
   *GL-HISTOGRAM-BLUE-SIZE*
   *GL-HISTOGRAM-ALPHA-SIZE*
   *GL-HISTOGRAM-LUMINANCE-SIZE*
   *GL-HISTOGRAM-SINK*
   *GL-MINMAX*
   *GL-MINMAX-FORMAT*
   *GL-MINMAX-SINK*
   *GL-TABLE-TOO-LARGE*

   *GL-UNSIGNED-BYTE-3-3-2*
   *GL-UNSIGNED-SHORT-4-4-4-4*
   *GL-UNSIGNED-SHORT-5-5-5-1*
   *GL-UNSIGNED-INT-8-8-8-8*
   *GL-UNSIGNED-INT-10-10-10-2*
   *GL-UNSIGNED-BYTE-2-3-3-REV*
   *GL-UNSIGNED-SHORT-5-6-5*
   *GL-UNSIGNED-SHORT-5-6-5-REV*
   *GL-UNSIGNED-SHORT-4-4-4-4-REV*
   *GL-UNSIGNED-SHORT-1-5-5-5-REV*
   *GL-UNSIGNED-INT-8-8-8-8-REV*
   *GL-UNSIGNED-INT-2-10-10-10-REV*

   *GL-RESCALE-NORMAL*

   *GL-LIGHT-MODEL-COLOR-CONTROL*
   *GL-SINGLE-COLOR*
   *GL-SEPARATE-SPECULAR-COLOR*

   *GL-PACK-SKIP-IMAGES*
   *GL-PACK-IMAGE-HEIGHT*
   *GL-UNPACK-SKIP-IMAGES*
   *GL-UNPACK-IMAGE-HEIGHT*
   *GL-TEXTURE-3D*
   *GL-PROXY-TEXTURE-3D*
   *GL-TEXTURE-DEPTH*
   *GL-TEXTURE-WRAP-R*
   *GL-MAX-3D-TEXTURE-SIZE*

   *GL-CLAMP-TO-EDGE*
   *GL-CLAMP-TO-BORDER*

   *GL-TEXTURE-MIN-LOD*
   *GL-TEXTURE-MAX-LOD*
   *GL-TEXTURE-BASE-LEVEL*
   *GL-TEXTURE-MAX-LEVEL*

   *GL-SMOOTH-POINT-SIZE-RANGE*
   *GL-SMOOTH-POINT-SIZE-GRANULARITY*
   *GL-SMOOTH-LINE-WIDTH-RANGE*
   *GL-SMOOTH-LINE-WIDTH-GRANULARITY*
   *GL-ALIASED-POINT-SIZE-RANGE*
   *GL-ALIASED-LINE-WIDTH-RANGE*

   *GL-TEXTURE0*
   *GL-TEXTURE1*
   *GL-TEXTURE2*
   *GL-TEXTURE3*
   *GL-TEXTURE4*
   *GL-TEXTURE5*
   *GL-TEXTURE6*
   *GL-TEXTURE7*
   *GL-TEXTURE8*
   *GL-TEXTURE9*
   *GL-TEXTURE10*
   *GL-TEXTURE11*
   *GL-TEXTURE12*
   *GL-TEXTURE13*
   *GL-TEXTURE14*
   *GL-TEXTURE15*
   *GL-TEXTURE16*
   *GL-TEXTURE17*
   *GL-TEXTURE18*
   *GL-TEXTURE19*
   *GL-TEXTURE20*
   *GL-TEXTURE21*
   *GL-TEXTURE22*
   *GL-TEXTURE23*
   *GL-TEXTURE24*
   *GL-TEXTURE25*
   *GL-TEXTURE26*
   *GL-TEXTURE27*
   *GL-TEXTURE28*
   *GL-TEXTURE29*
   *GL-TEXTURE30*
   *GL-TEXTURE31*
   *GL-ACTIVE-TEXTURE*
   *GL-CLIENT-ACTIVE-TEXTURE*
   *GL-MAX-TEXTURE-UNITS*

   *GL-COMBINE*
   *GL-COMBINE-RGB*
   *GL-COMBINE-ALPHA*
   *GL-RGB-SCALE*
   *GL-ADD-SIGNED*
   *GL-INTERPOLATE*
   *GL-CONSTANT*
   *GL-PRIMARY-COLOR*
   *GL-PREVIOUS*
   *GL-SUBTRACT*

   *GL-SRC0-RGB*
   *GL-SRC1-RGB*
   *GL-SRC2-RGB*
   *GL-SRC3-RGB*
   *GL-SRC4-RGB*
   *GL-SRC5-RGB*
   *GL-SRC6-RGB*
   *GL-SRC7-RGB*
   *GL-SRC0-ALPHA*
   *GL-SRC1-ALPHA*
   *GL-SRC2-ALPHA*
   *GL-SRC3-ALPHA*
   *GL-SRC4-ALPHA*
   *GL-SRC5-ALPHA*
   *GL-SRC6-ALPHA*
   *GL-SRC7-ALPHA*

   *GL-SOURCE0-RGB*
   *GL-SOURCE1-RGB*
   *GL-SOURCE2-RGB*
   *GL-SOURCE3-RGB*
   *GL-SOURCE4-RGB*
   *GL-SOURCE5-RGB*
   *GL-SOURCE6-RGB*
   *GL-SOURCE7-RGB*
   *GL-SOURCE0-ALPHA*
   *GL-SOURCE1-ALPHA*
   *GL-SOURCE2-ALPHA*
   *GL-SOURCE3-ALPHA*
   *GL-SOURCE4-ALPHA*
   *GL-SOURCE5-ALPHA*
   *GL-SOURCE6-ALPHA*
   *GL-SOURCE7-ALPHA*

   *GL-OPERAND0-RGB*
   *GL-OPERAND1-RGB*
   *GL-OPERAND2-RGB*
   *GL-OPERAND3-RGB*
   *GL-OPERAND4-RGB*
   *GL-OPERAND5-RGB*
   *GL-OPERAND6-RGB*
   *GL-OPERAND7-RGB*
   *GL-OPERAND0-ALPHA*
   *GL-OPERAND1-ALPHA*
   *GL-OPERAND2-ALPHA*
   *GL-OPERAND3-ALPHA*
   *GL-OPERAND4-ALPHA*
   *GL-OPERAND5-ALPHA*
   *GL-OPERAND6-ALPHA*
   *GL-OPERAND7-ALPHA*

   *GL-DOT3-RGB*
   *GL-DOT3-RGBA*

   *GL-TRANSPOSE-MODELVIEW-MATRIX*
   *GL-TRANSPOSE-PROJECTION-MATRIX*
   *GL-TRANSPOSE-TEXTURE-MATRIX*
   *GL-TRANSPOSE-COLOR-MATRIX*

   *GL-NORMAL-MAP*
   *GL-REFLECTION-MAP*
   *GL-TEXTURE-CUBE-MAP*
   *GL-TEXTURE-BINDING-CUBE-MAP*
   *GL-TEXTURE-CUBE-MAP-POSITIVE-X*
   *GL-TEXTURE-CUBE-MAP-NEGATIVE-X*
   *GL-TEXTURE-CUBE-MAP-POSITIVE-Y*
   *GL-TEXTURE-CUBE-MAP-NEGATIVE-Y*
   *GL-TEXTURE-CUBE-MAP-POSITIVE-Z*
   *GL-TEXTURE-CUBE-MAP-NEGATIVE-Z*
   *GL-PROXY-TEXTURE-CUBE-MAP*
   *GL-MAX-CUBE-MAP-TEXTURE-SIZE*

   *GL-COMPRESSED-ALPHA*
   *GL-COMPRESSED-LUMINANCE*
   *GL-COMPRESSED-LUMINANCE-ALPHA*
   *GL-COMPRESSED-INTENSITY*
   *GL-COMPRESSED-RGB*
   *GL-COMPRESSED-RGBA*
   *GL-TEXTURE-COMPRESSION-HINT*
   *GL-TEXTURE-COMPRESSED-IMAGE-SIZE*
   *GL-TEXTURE-COMPRESSED*
   *GL-NUM-COMPRESSED-TEXTURE-FORMATS*
   *GL-COMPRESSED-TEXTURE-FORMATS*

   *GL-MULTISAMPLE*
   *GL-SAMPLE-ALPHA-TO-COVERAGE*
   *GL-SAMPLE-ALPHA-TO-ONE*
   *GL-SAMPLE-COVERAGE*
   *GL-SAMPLE-BUFFERS*
   *GL-SAMPLES*
   *GL-SAMPLE-COVERAGE-VALUE*
   *GL-SAMPLE-COVERAGE-INVERT*
   *GL-MULTISAMPLE-BIT*

   *GL-DEPTH-COMPONENT16*
   *GL-DEPTH-COMPONENT24*
   *GL-DEPTH-COMPONENT32*
   *GL-TEXTURE-DEPTH-SIZE*
   *GL-DEPTH-TEXTURE-MODE*

   *GL-TEXTURE-COMPARE-MODE*
   *GL-TEXTURE-COMPARE-FUNC*
   *GL-COMPARE-R-TO-TEXTURE*

   *GL-QUERY-COUNTER-BITS*
   *GL-CURRENT-QUERY*
   *GL-QUERY-RESULT*
   *GL-QUERY-RESULT-AVAILABLE*
   *GL-SAMPLES-PASSED*

   *GL-FOG-COORD-SRC*
   *GL-FOG-COORD*
   *GL-FRAGMENT-DEPTH*
   *GL-CURRENT-FOG-COORD*
   *GL-FOG-COORD-ARRAY-TYPE*
   *GL-FOG-COORD-ARRAY-STRIDE*
   *GL-FOG-COORD-ARRAY-POINTER*
   *GL-FOG-COORD-ARRAY*

   *GL-FOG-COORDINATE-SOURCE*
   *GL-FOG-COORDINATE*
   *GL-CURRENT-FOG-COORDINATE*
   *GL-FOG-COORDINATE-ARRAY-TYPE*
   *GL-FOG-COORDINATE-ARRAY-STRIDE*
   *GL-FOG-COORDINATE-ARRAY-POINTER*
   *GL-FOG-COORDINATE-ARRAY*

   *GL-COLOR-SUM*
   *GL-CURRENT-SECONDARY-COLOR*
   *GL-SECONDARY-COLOR-ARRAY-SIZE*
   *GL-SECONDARY-COLOR-ARRAY-TYPE*
   *GL-SECONDARY-COLOR-ARRAY-STRIDE*
   *GL-SECONDARY-COLOR-ARRAY-POINTER*
   *GL-SECONDARY-COLOR-ARRAY*

   *GL-POINT-SIZE-MIN*
   *GL-POINT-SIZE-MAX*
   *GL-POINT-FADE-THRESHOLD-SIZE*
   *GL-POINT-DISTANCE-ATTENUATION*

   *GL-BLEND-DST-RGB*
   *GL-BLEND-SRC-RGB*
   *GL-BLEND-DST-ALPHA*
   *GL-BLEND-SRC-ALPHA*

   *GL-GENERATE-MIPMAP*
   *GL-GENERATE-MIPMAP-HINT*

   *GL-INCR-WRAP*
   *GL-DECR-WRAP*

   *GL-MIRRORED-REPEAT*

   *GL-MAX-TEXTURE-LOD-BIAS*
   *GL-TEXTURE-FILTER-CONTROL*
   *GL-TEXTURE-LOD-BIAS*

   *GL-ARRAY-BUFFER*
   *GL-ELEMENT-ARRAY-BUFFER*
   *GL-ARRAY-BUFFER-BINDING*
   *GL-ELEMENT-ARRAY-BUFFER-BINDING*
   *GL-VERTEX-ARRAY-BUFFER-BINDING*
   *GL-NORMAL-ARRAY-BUFFER-BINDING*
   *GL-COLOR-ARRAY-BUFFER-BINDING*
   *GL-INDEX-ARRAY-BUFFER-BINDING*
   *GL-TEXTURE-COORD-ARRAY-BUFFER-BINDING*
   *GL-EDGE-FLAG-ARRAY-BUFFER-BINDING*
   *GL-SECONDARY-COLOR-ARRAY-BUFFER-BINDING*
   *GL-FOG-COORD-ARRAY-BUFFER-BINDING*
   *GL-WEIGHT-ARRAY-BUFFER-BINDING*
   *GL-VERTEX-ATTRIB-ARRAY-BUFFER-BINDING*
   *GL-STREAM-DRAW*
   *GL-STREAM-READ*
   *GL-STREAM-COPY*
   *GL-STATIC-DRAW*
   *GL-STATIC-READ*
   *GL-STATIC-COPY*
   *GL-DYNAMIC-DRAW*
   *GL-DYNAMIC-READ*
   *GL-DYNAMIC-COPY*
   *GL-READ-ONLY*
   *GL-WRITE-ONLY*
   *GL-READ-WRITE*
   *GL-BUFFER-SIZE*
   *GL-BUFFER-USAGE*
   *GL-BUFFER-ACCESS*
   *GL-BUFFER-MAPPED*
   *GL-BUFFER-MAP-POINTER*
   *GL-FOG-COORDINATE-ARRAY-BUFFER-BINDING*

   *GL-CURRENT-PROGRAM*
   *GL-SHADER-TYPE*
   *GL-DELETE-STATUS*
   *GL-COMPILE-STATUS*
   *GL-LINK-STATUS*
   *GL-VALIDATE-STATUS*
   *GL-INFO-LOG-LENGTH*
   *GL-ATTACHED-SHADERS*
   *GL-ACTIVE-UNIFORMS*
   *GL-ACTIVE-UNIFORM-MAX-LENGTH*
   *GL-SHADER-SOURCE-LENGTH*
   *GL-FLOAT-VEC2*
   *GL-FLOAT-VEC3*
   *GL-FLOAT-VEC4*
   *GL-INT-VEC2*
   *GL-INT-VEC3*
   *GL-INT-VEC4*
   *GL-BOOL*
   *GL-BOOL-VEC2*
   *GL-BOOL-VEC3*
   *GL-BOOL-VEC4*
   *GL-FLOAT-MAT2*
   *GL-FLOAT-MAT3*
   *GL-FLOAT-MAT4*
   *GL-SAMPLER-1D*
   *GL-SAMPLER-2D*
   *GL-SAMPLER-3D*
   *GL-SAMPLER-CUBE*
   *GL-SAMPLER-1D-SHADOW*
   *GL-SAMPLER-2D-SHADOW*
   *GL-SHADING-LANGUAGE-VERSION*
   *GL-VERTEX-SHADER*
   *GL-MAX-VERTEX-UNIFORM-COMPONENTS*
   *GL-MAX-VARYING-FLOATS*
   *GL-MAX-VERTEX-TEXTURE-IMAGE-UNITS*
   *GL-MAX-COMBINED-TEXTURE-IMAGE-UNITS*
   *GL-ACTIVE-ATTRIBUTES*
   *GL-ACTIVE-ATTRIBUTE-MAX-LENGTH*
   *GL-FRAGMENT-SHADER*
   *GL-MAX-FRAGMENT-UNIFORM-COMPONENTS*
   *GL-FRAGMENT-SHADER-DERIVATIVE-HINT*
   *GL-MAX-VERTEX-ATTRIBS*
   *GL-VERTEX-ATTRIB-ARRAY-ENABLED*
   *GL-VERTEX-ATTRIB-ARRAY-SIZE*
   *GL-VERTEX-ATTRIB-ARRAY-STRIDE*
   *GL-VERTEX-ATTRIB-ARRAY-TYPE*
   *GL-VERTEX-ATTRIB-ARRAY-NORMALIZED*
   *GL-CURRENT-VERTEX-ATTRIB*
   *GL-VERTEX-ATTRIB-ARRAY-POINTER*
   *GL-VERTEX-PROGRAM-POINT-SIZE*
   *GL-VERTEX-PROGRAM-TWO-SIDE*
   *GL-MAX-TEXTURE-COORDS*
   *GL-MAX-TEXTURE-IMAGE-UNITS*
   *GL-MAX-DRAW-BUFFERS*
   *GL-DRAW-BUFFER0*
   *GL-DRAW-BUFFER1*
   *GL-DRAW-BUFFER2*
   *GL-DRAW-BUFFER3*
   *GL-DRAW-BUFFER4*
   *GL-DRAW-BUFFER5*
   *GL-DRAW-BUFFER6*
   *GL-DRAW-BUFFER7*
   *GL-DRAW-BUFFER8*
   *GL-DRAW-BUFFER9*
   *GL-DRAW-BUFFER10*
   *GL-DRAW-BUFFER11*
   *GL-DRAW-BUFFER12*
   *GL-DRAW-BUFFER13*
   *GL-DRAW-BUFFER14*
   *GL-DRAW-BUFFER15*
   *GL-POINT-SPRITE*
   *GL-COORD-REPLACE*
   *GL-POINT-SPRITE-COORD-ORIGIN*
   *GL-LOWER-LEFT*
   *GL-UPPER-LEFT*
   *GL-STENCIL-BACK-FUNC*
   *GL-STENCIL-BACK-VALUE-MASK*
   *GL-STENCIL-BACK-REF*
   *GL-STENCIL-BACK-FAIL*
   *GL-STENCIL-BACK-PASS-DEPTH-FAIL*
   *GL-STENCIL-BACK-PASS-DEPTH-PASS*
   *GL-STENCIL-BACK-WRITEMASK*

   *GL-CURRENT-RASTER-SECONDARY-COLOR*
   *GL-PIXEL-PACK-BUFFER*
   *GL-PIXEL-UNPACK-BUFFER*
   *GL-PIXEL-PACK-BUFFER-BINDING*
   *GL-PIXEL-UNPACK-BUFFER-BINDING*
   *GL-FLOAT-MAT2x3*
   *GL-FLOAT-MAT2x4*
   *GL-FLOAT-MAT3x2*
   *GL-FLOAT-MAT3x4*
   *GL-FLOAT-MAT4x2*
   *GL-FLOAT-MAT4x3*
   *GL-SRGB*
   *GL-SRGB8*
   *GL-SRGB-ALPHA*
   *GL-SRGB8-ALPHA8*
   *GL-SLUMINANCE-ALPHA*
   *GL-SLUMINANCE8-ALPHA8*
   *GL-SLUMINANCE*
   *GL-SLUMINANCE8*
   *GL-COMPRESSED-SRGB*
   *GL-COMPRESSED-SRGB-ALPHA*
   *GL-COMPRESSED-SLUMINANCE*
   *GL-COMPRESSED-SLUMINANCE-ALPHA*

   *GL-LOGIC-OP*
   *GL-TEXTURE-COMPONENTS*




   *GLX-USE-GL*
   *GLX-BUFFER-SIZE*
   *GLX-LEVEL*
   *GLX-RGBA*
   *GLX-DOUBLEBUFFER*
   *GLX-STEREO*
   *GLX-AUX-BUFFERS*
   *GLX-RED-SIZE*
   *GLX-GREEN-SIZE*
   *GLX-BLUE-SIZE*
   *GLX-ALPHA-SIZE*
   *GLX-DEPTH-SIZE*
   *GLX-STENCIL-SIZE*
   *GLX-ACCUM-RED-SIZE*
   *GLX-ACCUM-GREEN-SIZE*
   *GLX-ACCUM-BLUE-SIZE*
   *GLX-ACCUM-ALPHA-SIZE*

   *GLX-BAD-SCREEN*
   *GLX-BAD-ATTRIBUTE*
   *GLX-NO-EXTENSION*
   *GLX-BAD-VISUAL*



   *StaticGray*
   *GrayScale*
   *StaticColor*
   *PseudoColor*
   *TrueColor*
   *DirectColor*


   GLU-ERROR-STRING
   GLU-GET-STRING
   GLU-ORTHO2-D
   GLU-PERSPECTIVE
   GLU-PICK-MATRIX
   GLU-LOOK-AT
   GLU-PROJECT
   GLU-UN-PROJECT
   GLU-SCALE-IMAGE
   GLU-BUILD1-DMIPMAPS
   GLU-BUILD2-DMIPMAPS
   GLUQUADRIC-OBJ
   GLU-NEW-QUADRIC
   GLU-DELETE-QUADRIC
   GLU-QUADRIC-NORMALS
   GLU-QUADRIC-TEXTURE
   GLU-QUADRIC-ORIENTATION
   GLU-QUADRIC-DRAW-STYLE
   GLU-CYLINDER
   GLU-DISK
   GLU-PARTIAL-DISK
   GLU-SPHERE
   GLU-QUADRIC-CALLBACK
   GLUTRIANGULATOR-OBJ
   GLU-NEW-TESS
   GLU-TESS-CALLBACK
   GLU-DELETE-TESS
   GLU-BEGIN-POLYGON
   GLU-END-POLYGON
   GLU-NEXT-CONTOUR
   GLU-TESS-VERTEX
   GLUNURBS-OBJ
   GLU-NEW-NURBS-RENDERER
   GLU-DELETE-NURBS-RENDERER
   GLU-BEGIN-SURFACE
   GLU-BEGIN-CURVE
   GLU-END-CURVE
   GLU-END-SURFACE
   GLU-BEGIN-TRIM
   GLU-END-TRIM
   GLU-PWL-CURVE
   GLU-NURBS-CURVE
   GLU-NURBS-SURFACE
   GLU-LOAD-SAMPLING-MATRICES
   GLU-NURBS-PROPERTY
   GLU-GET-NURBS-PROPERTY
   GLU-NURBS-CALLBACK

   GLX-CHOOSE-VISUAL
   GLX-COPY-CONTEXT
   GLX-CREATE-CONTEXT
   GLX-CREATE-GLXPIXMAP
   GLX-DESTROY-CONTEXT
   GLX-DESTROY-GLXPIXMAP
   GLX-GET-CONFIG
   GLX-GET-CURRENT-CONTEXT
   GLX-GET-CURRENT-DRAWABLE
   GLX-IS-DIRECT
   GLX-MAKE-CURRENT
   GLX-QUERY-EXTENSION
   GLX-QUERY-VERSION
   GLX-SWAP-BUFFERS
   GLX-USE-XFONT
   GLX-WAIT-GL
   GLX-WAIT-X
   GLX-QUERY-EXTENSIONS-STRING
   GLX-GET-CLIENT-STRING
   GLX-QUERY-SERVER-STRING
   GLX-GET-VIDEO-SYNC-SGI
   GLX-WAIT-VIDEO-SYNC-SGI
   GLX-SWAP-INTERVAL-SGI
   GLX-SWAP-MODE-SGI

   )
  (:export
   GL-VECTOR
   MAKE-GL-VECTOR
   GL-VECTOR-AREF
   WITH-GL-VECTORS
   )
  (:export
   "OPENGL-PANE"
   )
  )

#+(and pthreads ffi-x11)
(fli::mark-package-foreign-callers-keep-lock "OPENGL" :non-concurrent)

